12 mar 2014 kl. 09.22 skrev Lübbe TortoiseSVN:
> I'd like to make another suggestion: at TortoiseSVN we switched to
> transifex.com a few years ago and we are very happy with it. If
> Subversion moved there, I'd help with the translations again. Both
> projects could profit from synergies.
Apologies for the delay, and thanks for your reply.
I suggest we try the Translation Project first (for no reason other
than my own irrational intuition); should that not work out,
transifex.com may be an alternative.
On to practical matters: The source distribution, including pre-
releases, should contain a generated .pot file for translators to base
their work upon. (In theory, whoever makes the release could build
the .pot manually and send it to the translators, but for Subversion,
they are likely to need the entire .tar file.)
I suppose it means that po-update.sh should be invoked from dist.sh.
Would something like this be right (untested):
--- tools/dist/dist.sh (revision 1588975)
+++ tools/dist/dist.sh (working copy)
@@ -306,6 +306,10 @@
(cd "$DISTPATH" && ./autogen.sh --release) || exit 1
fi
+# Generate the .pot file, for use by translators.
+echo "Running po-update.sh in sandbox, to create subversion.pot..."
+(cd "$DISTPATH" && tools/po/po-update.sh pot) || exit 1
+
# Pre-translate the various sql-derived header files
echo "Generating SQL-derived headers..."
for f in `find "$DISTPATH/subversion" -name '*.sql'`; do
(By the way, I see that nobody has run po-update in trunk for some
time; it (rightly) complains about format strings.)
Received on 2014-04-24 23:41:34 CEST